# Generated by Django 3.1 on 2020-10-06 21:06

from django.conf import settings
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='Groupe',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(max_length=128)),
                ('code', models.CharField(max_length=8, unique=True)),
                ('adhesion_price', models.IntegerField(default=0)),
                ('cotisation_price', models.IntegerField(default=0)),
                ('add', models.DateTimeField(auto_now_add=True, verbose_name='Créer le')),
            ],
        ),
        migrations.CreateModel(
            name='Adherent',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('statut', models.BooleanField(default=True)),
                ('is_admin', models.BooleanField(default=False)),
                ('add', models.DateTimeField(auto_now_add=True, verbose_name='Ajouté le')),
                ('adhesion_price', models.IntegerField(default=0)),
                ('groupe', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='groupes', to='core.groupe')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='groupes', to=settings.AUTH_USER_MODEL)),
            ],
        ),
    ]
